Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.render
Class JAIWindowLevel

    java.lang.Object
      |
      +--com.vistech.jai.render.JAIWindowLevel

public class JAIWindowLevel
extends java.lang.Object

Implements the Window/Level feature using the JAI API.

Version:
  1.0 27 Sep 2000
Author:
  Lawrence Rodrigues

Field Summary
`protected javax.media.jai.PlanarImage` | `image`
`protected JAIImageCanvas` | `imageCanvas`
`protected int` | `level`
`protected int` | `LUT_SIZE`
`protected int` | `lutSize`
`protected int` | `MAX_SCREEN_VALUE`
`protected int` | `maxValue`
`protected int` | `MIN_SCREEN_VALUE`
`protected int` | `minValue`
`protected int` | `window`

Constructor Summary
`JAIWindowLevel(javax.media.jai.PlanarImage image, JAIImageCanvas imageCanvas)`

Method Summary
`protected javax.media.jai.LookupTableJAI` | `createLookupTable(int win, int lev)`
`int` | `getLUTSize()`
`void` | `setLevel(int lev)`
`void` | `setLUTSize(int size)`
`void` | `setWindow(int win)`
`void` | `setWindowLevel(int win, int lev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minValue

    protected int minValue

### maxValue

    protected int maxValue

### MIN_SCREEN_VALUE

    protected int MIN_SCREEN_VALUE

### MAX_SCREEN_VALUE

    protected int MAX_SCREEN_VALUE

### LUT_SIZE

    protected int LUT_SIZE

### lutSize

    protected int lutSize

### window

    protected int window

### level

    protected int level

### image

    protected javax.media.jai.PlanarImage image

### imageCanvas

    protected JAIImageCanvas imageCanvas

Constructor Detail

### JAIWindowLevel

    public JAIWindowLevel(javax.media.jai.PlanarImage image,
                          JAIImageCanvas imageCanvas)

Method Detail

### setLUTSize

    public void setLUTSize(int size)

### getLUTSize

    public int getLUTSize()

### setWindow

    public void setWindow(int win)

### setLevel

    public void setLevel(int lev)

### setWindowLevel

    public void setWindowLevel(int win,
                               int lev)

### createLookupTable

    protected javax.media.jai.LookupTableJAI createLookupTable(int win,
                                                               int lev)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD